Package org.apache.wiki.tags

## Class CheckRequestContextTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.CheckRequestContextTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class CheckRequestContextTag
    extends WikiTagBase

Includes body, if the request context matches. To understand more about RequestContexts, please look at the WikiContext class.

Since:
  2.0
See Also:
  `WikiContext`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`CheckRequestContextTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`java.lang.String` `getContext()` Returns the context.
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setContext​(java.lang.String arg)` Set the context to check for.

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckRequestContextTag

    public CheckRequestContextTag()

### Method Detail

#### initTag

    public void initTag()

This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### getContext

    public java.lang.String getContext()

Returns the context.

Returns:
  Return the context.

#### setContext

    public void setContext​(java.lang.String arg)

Set the context to check for.

Parameters:
  `arg` - One of the RequestsContexts.

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws java.io.IOException,
                                    ProviderException

This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`
  `ProviderException`